Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1097708 - [RFE] use new VDSM downloadImage from stream feature
Summary: [RFE] use new VDSM downloadImage from stream feature
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-hosted-engine-setup
Version: 3.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.5.0
Assignee: Sandro Bonazzola
QA Contact: meital avital
URL:
Whiteboard: integration
Depends On: 1037500
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-14 11:43 UTC by Sandro Bonazzola
Modified: 2014-09-26 14:14 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: use new VDSM downloadImage from stream feature Reason: Result (if any):
Clone Of:
Environment:
Last Closed: 2014-05-15 06:48:19 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 21923 master ABANDONED vdsm: use downloadImage instead of qemu-img Never

Description Sandro Bonazzola 2014-05-14 11:43:45 UTC
For solving an error about SSL connection timing out on read operation when installing from disk, direct write from source image to VM image was added in hosted-engine setup (Bug #1034777).

At the same time a RFE for adding file:// protocol support to downloadImage verb was filled (Bug #1037500) and should be now available in VDSM.

We should rebase the code for using the new feature.

Comment 1 Sandro Bonazzola 2014-05-15 06:48:19 UTC
Looks like qemu-img conversion of the source image is still needed when using block storage since it doesn't support sparse images, so closing this as won't fix.


Note You need to log in before you can comment on or make changes to this bug.